APILog sources
Get a log source
Get one log source by ID, including its log streams and their endpoint card(s).
GET https://api.sazabi.com/v1/log-sources/{logSourceId}
curl -X GET "https://example.com/log-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "logSource": { "connectionStatus": { "state": "connected", "reasonCode": "credentials_rejected", "checkedAt": "2019-08-24T14:15:22Z", "verification": "verified" }, "recovery": { "action": "reconnect", "canCheck": true, "canDisconnect": true, "target": { "kind": "integration", "resourceId": "string", "providerId": "string", "scope": { "kind": "user", "id": "string" } } }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "vercel", "mode": "native", "name": "string", "streamCount": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "streamAutoProvisionFilter": { "allowlist": [ "string" ], "denylist": [ "string" ] }, "streams": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "logSourceId": "7efc89d3-d050-4aa1-9ef7-0c937654d327", "displayName": "string", "config": { "property1": null, "property2": null }, "status": "pending", "errorMessage": "string", "enabled": true, "provisionedVia": "manual", "createdAt": "2019-08-24T14:15:22Z", "endpointCards": [ { "id": "logs", "kind": "url", "label": "string", "url": "string", "host": "string", "port": -9007199254740991, "description": "string", "extraCredential": { "label": "string", "value": "string", "description": "string" } } ] } ] }}